Cyberduck Mountain Duck CLI

#6477 closed enhancement (fixed)

Focus get lost when pressing escape while changing file name

Reported by: Russe Owned by: dkocher
Priority: low Milestone: 4.3
Component: interface Version: 4.2.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

When I want to change a file name on my server normally I select the file to be renamed with arrow up and arrow down keys, then I press the enter key, then I rename the file and press enter again. But when I want to cancel the renaming process I hit the escape key so the already change file name will switch back to the original one but now the focus got lost. The file is still selected but with grey background color instead of blue color. I need to hit the tab key 6 times to get the focus back to the file again. Please change this behavior that the focus will not get lost when pressing escape key while changing a file name.

Cyberduck 4.2.1 Mac OS X 10.6.8

Change History (4)

comment:1 Changed on Jan 11, 2012 at 3:17:09 PM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher
  • Version changed from 4.2 to 4.2.1

comment:2 Changed on Oct 10, 2012 at 8:12:05 PM by dkocher

  • Milestone set to 4.3
  • Priority changed from normal to low

comment:3 Changed on Oct 17, 2012 at 9:22:28 PM by dkocher

  • Type changed from defect to enhancement

comment:4 Changed on Apr 9, 2013 at 12:14:21 PM by dkocher

  • Milestone changed from 4.4 to 4.3
  • Resolution set to fixed
  • Status changed from new to closed

In r10826.

Note: See TracTickets for help on using tickets.
swiss made software